Skip to main content
POST
/
orgs
/
{organization}
/
teams
/
{team}
/
servers
Create a new server share
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/teams/{team}/servers",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'server_id' => 12345
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": {
    "id": "<string>",
    "type": "servers",
    "links": {
      "self": {
        "href": "<string>",
        "rel": "<string>",
        "describedby": "<string>",
        "title": "<string>",
        "type": "<string>",
        "hreflang": "<string>",
        "meta": {}
      }
    },
    "attributes": {
      "id": 123,
      "credential_id": 123,
      "name": "<string>",
      "slug": "<string>",
      "type": "app",
      "ubuntu_version": "<string>",
      "ssh_port": 123,
      "provider": "<string>",
      "identifier": "<string>",
      "size": "<string>",
      "region": "<string>",
      "php_version": "<string>",
      "php_cli_version": "<string>",
      "opcache_status": "<string>",
      "database_type": "<string>",
      "db_status": "<string>",
      "redis_status": "<string>",
      "ip_address": "<string>",
      "private_ip_address": "<string>",
      "revoked": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "connection_status": "<string>",
      "timezone": "<string>",
      "local_public_key": "<string>",
      "is_ready": true
    },
    "relationships": {
      "tags": {
        "data": [
          {
            "type": "tags",
            "id": "<string>"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "tags",
      "attributes": {
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://forge.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The organization slug

team
integer
required

The team ID

Body

application/json
server_id
integer
required

The server ID

Example:

12345

Response

ServerResource

data
ServerResource · object
required
included
TagResource · object[]